%define  ENABLE_ANSI  0

%define   gcl_cc         gcc
%define   gcl_maxpages   64*1024

Name: gcl
Version: 2.5.0
Release: alt0.03
Summary: GNU Common Lisp
Copyright: LGPL
Group: Development/Other
URL: http://savannah.gnu.org/projects/gcl
Packager: Vadim V. Zhytnikov <vvzhy@altlinux.ru>

Source0: gcl-cvs-20021004.tar.bz2
Source1: init-gcl.lsp
Source2: rloff.lsp

Requires: tk tcl libreadline libncurses

PreReq: %__install_info

BuildRequires: libreadline-devel libncurses-devel tcl-devel tk-devel libiberty-devel tetex texinfo

%description
The program GCL is an implementation of a subset of 
the Common Lisp Ansi standard. It is written in C and 
in Common Lisp, and is highly portable.   It includes 
those features in the original definition of Common Lisp,
(Guy Steele version 1.), as well as some features from 
the proposed new standard.


%prep
%setup -b 0

%build

%define   gcl_dir        %_builddir/%name-%version
%define   emacs_lisp     %_datadir/emacs/site-lisp	
%define   gcl_emacs      %_datadir/emacs/site-lisp/gcl

CC=%gcl_cc ./configure \
%if %ENABLE_ANSI 
    --enable-ansi \
%else
    --disable-ansi \
%endif    
    --enable-maxpage=%gcl_maxpages \
    --prefix=%_prefix \
    --bindir=%_bindir \
    --libdir=%_libdir \
    --mandir=%_mandir \
    --infodir=%_infodir

make

%install
%define _findreq_default_method lib
# info files must be uncompressed
%define _compress_method no

install -d %buildroot%_infodir
install -d %buildroot%_man1dir
install -d %buildroot%gcl_emacs

make install DESTDIR=%buildroot \
    EMACS_SITE_LISP=%gcl_emacs \
    EMACS_DEFAULT_EL=%emacs_lisp/default.el

install -D -m644 %SOURCE1 %buildroot%_libdir/%name-%version/lsp/init.lsp
install -D -m644 %SOURCE2 %buildroot%_libdir/%name-%version/lsp/rloff.lsp
install -D -m644 ./elisp/*.el %buildroot%gcl_emacs
install -D -m644 ./man/man1/gcl.1 %buildroot%_man1dir/gcl.1
	     
%define gcl_bindir %buildroot%_bindir

cat %gcl_bindir/gcl | sed -e "s:%buildroot/usr:/usr:g" > %gcl_bindir/foo
rm -f %gcl_bindir/gcl  
mv %gcl_bindir/foo %gcl_bindir/gcl
chmod a+x %gcl_bindir/gcl

%files
%_datadir/emacs/site-lisp/gcl
%_libdir/%name-%version/cmpnew
%_libdir/%name-%version/gcl-tk
%_libdir/%name-%version/lsp
%_libdir/%name-%version/h
%_libdir/%name-%version/unixport
%_infodir/gcl*
%_mandir/man1/gcl.1*
%_bindir/gcl
%doc readme COPYING.LIB-2.0

%post
%install_info gcl-si.info gcl-tk.info

%preun
%uninstall_info gcl-si.info gcl-tk.info

%changelog
* Fri Oct 04 2002 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 2.5.0-alt0.03
- gcl CVS 04.10.2002

* Sun Sep 29 2002 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 2.5.0-alt0.02
- gcl CVS 28.09.2002
- gcc 3.2 

* Mon Jul 15 2002 Vadim V. Zhytnikov <vvzhy@mail.ru> 2.5.0-alt0.01
- Initial ALT Linux release.
